Opened 5 months ago

Last modified 5 months ago

#1538 new defect

rasdaman cannot be compiled with boost > 1.60

Reported by: dmisev Owned by:
Priority: major Milestone: 10.0
Component: rascontrol Version: development
Keywords: Cc: pbaumann, vmerticariu
Complexity: Medium

Description (last modified by dmisev)

The issue is reported here: https://svn.boost.org/trac/boost/ticket/12349#comment:5

So on Ubuntu 16.10 / 17.04 and other recent OS we have a significant hurdle with compiling rasdaman.

This issue is in the boost spirit library which is now used by rascontrol for parsing the rascontrol commands.

I'm not very happy about the use of this library btw, because it raises the RAM requirements for compiling rasdaman quite high (min. 4-5GB RAM needed), and slows it down considerably as well. At the same time we have a few tickets open on this parsing (e.g. help command not working). One solution could be to port back the old rascontrol parser.

Change History (1)

comment:1 Changed 5 months ago by dmisev

  • Component changed from undecided to rascontrol
  • Description modified (diff)
Note: See TracTickets for help on using tickets.